org.eclipse.graphiti.ui.internal.parts

## Interface IContainerShapeEditPart

All Superinterfaces:
  IAnchorContainerEditPart, IConfigurationProviderHolder, IFeatureProviderHolder, IPictogramElementEditPart, IShapeEditPart

All Known Subinterfaces:
  IDiagramEditPart

All Known Implementing Classes:
  ContainerShapeEditPart, DiagramEditPart

    public interface IContainerShapeEditPart
    extends IShapeEditPart

The Interface IContainerShapeEditPart.

### Method Summary

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IShapeEditPart

`deleteChildAndRefresh`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IAnchorContainerEditPart

`refreshDecorators`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IPictogramElementEditPart

`getModelChildren, getModelSourceConnections, getModelTargetConnections, getPictogramElement, getPictogramElementDelegate`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.config.IConfigurationProviderHolder

`getConfigurationProvider`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`